package com.ice.structure.Bridge;

/**
 * @author ice
 * @blog https://blog.csdn.net/dreaming_coder
 * @description
 * @create 2021-10-26 21:49:39
 */
public class Client {
    public static void main(String[] args) {
        // 华为8G手机
        System.out.println("====== 华为8G手机 ======");
        HuaWei huaWei = new HuaWei();
        huaWei.setPhoneMemory(new Memory8G());
        huaWei.buyPhone();
        // 小米6G手机
        System.out.println("====== 小米6G手机 ======");
        Mi mi = new Mi();
        mi.setPhoneMemory(new Memory6G());
        mi.buyPhone();
    }
}
